[Chrome][Linux][Kernel] Linux kernel 3.17以前で使用している場合、Chrome 39以降でプロセスクラッシュする問題。

    Related Posts Plugin for WordPress, Blogger...

    自分では確認できていないのですが、Linux Kernel 3.17以前を使用している環境で、Chrome / Chromium 39以上のバージョンの物を使用するとプロセスクラッシュする問題が発生するらしいです。

    Chrome/Chromium To Require Newer Version Of Linux Kernel - Phoronix /
    http://www.phoronix.com/scan.php?page=news_item&px=Google-Chrome-TSYNC-Kernel

    とりあえずの対応方法は3.18以上のバージョンのKernelを使用することで問題を回避できるらしですが・・・

    どうやら該当のKernelバージョンに含まれるフラグSECCOMP_FILTER_FLAG_TSYNC が、Chrome / Chromiumのカーネルを壊してしまうことから問題が発生しているとのこと。
    この問題は以下のLKMLにて報告されています。

    Linux-Kernel Archive: [PATCH v10 11/11] seccomp: implement SECCOMP_FILTER_FLAG_TSYNC /
    http://lkml.iu.edu/hypermail/linux/kernel/1407.1/02801.html

    Ubuntu 14.10や他のディストリビューション(ってどれを指しているのか不明)では既にパッチが取り込まれているらしく問題は対応されているようです。
    Debianは今のところ対応中なのかな?

    Debian 8/jessie - SECCOMP_FILTER_FLAG_TSYNC /
    https://lists.debian.org/debian-kernel/2015/03/msg00133.html




    Pagination

    Trackback

    Trackback URL

    http://kometchtech.blog.fc2.com/tb.php/1793-8bb02161

    Comment

    Post Your Comment

    コメント登録フォーム
    公開設定

    Utility

    Profile

    kometch

    Author:kometch
    なんちゃってエンジニアです。
    2009年10月から業務都合により大阪勤務になりました。
    2010年1月、HYBRID W-ZERO3を購入しました。
    2010年11月、HTC Desire HDを購入しました。
    2012年2月、都内の会社に転職しました。
    2012年5月、HTC One Xを購入しました。
    2012年8月、事情により休職しました。
    2012年8月、SONY Xperia SXを購入しました。
    2013年1月、一身上の都合により退職しました。
    2014年3月、都内の会社に就職しました。
    2016年8月、HPC系の会社に転職しました。

    Amazonほしい物リスト
    何か問題などありましたら、こちらまで。 Twitter:@kometchtech follow us in feedly

    カレンダー

    05 | 2017/06 | 07
    - - - - 1 2 3
    4 5 6 7 8 9 10
    11 12 13 14 15 16 17
    18 19 20 21 22 23 24
    25 26 27 28 29 30 -

    全記事(数)表示

    全タイトルを表示

    バロメーター

    カテゴリー

    カテゴリークラウド

    アーカイブ

    検索フォーム

    FC2カウンター

    現在の閲覧者数

    現在の閲覧者数:

    Amazon アフィリエイト

    スポンサードリンク

    Latvia Time

    IPv4/IPv6

    月間ページランキング

    ブログパーツ

    サイトランキング

    スポンサードリンク